﻿$ErrorActionPreference = 'Stop'

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'exe'       
    url            = 'https://github.com//ShareX/ShareX/releases/download/v12.4.1/ShareX-12.4.1-setup.exe' 
    checksum       = '276e70f3cbaeb4dde099aa78f1dfd58c26af95d4c80e96f0365c5b35377eb57b'
    checksumType   = 'SHA256'
    silentArgs     = '/sp /silent /norestart'
	validExitCodes = @(0)
}

Write-Host "If an older version of ShareX is running on this machine, it will be closed prior to the installation of the newer version."
Get-Process -Name sharex -ErrorAction SilentlyContinue | Stop-Process

Install-ChocolateyPackage @packageArgs
